from django.shortcuts import render
from django.views import View
from django.views.generic.list import ListView
from django.views.generic.detail import DetailView

from .models import Author, Books

# Create your views here.
def home_view(request):
    return render(request, 'bookshelf/home.html')

class AuthorsListView(ListView):
    def get(self, request):
        authors = Author.objects.all()
        return render(request, 'bookshelf/authors.html', {
            'authors': authors
        })

class AuthorsDetailView(DetailView):
    model = Author
    template_name = 'bookshelf/authors_details.html'

class BooksListView(ListView):
    def get(self, request):
        books = Books.objects.all()
        return render(request, 'bookshelf/books.html', {
            'books': books
        })

class BooksDetailView(DetailView):
    model = Books
    template_name = 'bookshelf/book_details.html'
    